# pion::PionLogger Struct Reference

List of all members.

## Detailed Description

Definition at line 216 of file PionLogger.hpp.

## Public Types

| LOG_LEVEL_DEBUG
| LOG_LEVEL_INFO
| LOG_LEVEL_WARN
| LOG_LEVEL_ERROR
| LOG_LEVEL_FATAL
enum | PionPriorityType { LOG_LEVEL_DEBUG, LOG_LEVEL_INFO, LOG_LEVEL_WARN, LOG_LEVEL_ERROR, LOG_LEVEL_FATAL }

## Public Member Functions

| ~PionLogger ()
| PionLogger (void)
| PionLogger (const std::string &name)
| PionLogger (const PionLogger &p)

## Public Attributes

std::string | m_name

## Static Public Attributes

static PionPriorityType | m_priority

The documentation for this struct was generated from the following file:

- common/include/pion/PionLogger.hpp